Subject: Re: bug#19062: 25.0.50; `Info-bookmark-jump' changes frames - see FIXME in code

From: Stefan Kangas <[email-masked]>
Date: Sat, 22 Aug 2020 21:45:19 -0400

Stefan Kangas <[email-masked]> writes:

> Drew Adams <[email-masked]> writes:
>
>> See the FIXME in the source code.  My setup is too involved to present
>> here.  Suffice it to say that the `Info-bookark-jump' code messes with
>> the frame that was selected before popping up the Info frame (for
>> `Info-find-node').  (I get a separate frame for the Info buffer because
>> `special-display-regexps' is `("[ ]?[*][^*]+[*]")'.)
>
> I don't understand the problem here.  I set the following, according to
> your suggestion:
>
> (setq special-display-regexps '("[ ]?[*][^*]+[*]"))
>
> And I've experimented a bit with jumping to info bookmarks without
> seeing anything unusual.

Drew, do you have a way to reproduce this error?  (It seems like you
weren't in the Cc for my last message sent over a year ago.)

Best regards,
Stefan Kangas